# quick start

```bash
pnpm install
```

# 构建产物

```bash
pnpm build
```

- dist 文件夹 `doc` 是文档站，直接部署到 `web`容器。路由 `history`模式，配合 nginx 开启 `nginx 伪静态`

- dist 文件夹 `ui` 为 组件库 ，直接`ESModule`引入项目

- `src/pages` 文件夹自定义页面，`bolt.config.ts` 配置引入

- `src/components` 为组件开发目录，基本组成:

  - index.tsx 组件的代码
  - index.less 组件的样式
  - props.ts 组件 api 接口
  - index.mdx 组件文档说明
