type TSize = "small" | "large";

export interface IButton {
  children: string;
  /**
   * @description 这是描述住按钮尺寸大小的属性，非常的奈一丝，克苏鲁，san 值拉满
   * @default small
   */
  size: TSize;

  type?: "primary" | "danger";

  omg?: 1 | 2 | 3;

  and?: Array<number> | Array<string>;

  /**
   * @description 禁用
   * @default false
   */
  disabled?: boolean;

  /**
   * @description 点击按钮
   * @param {Event} e 点击dom对象
   * @version 3.0
   */
  onClick?: (e: Event, callback: () => {}) => {};
}
